;ASDesign Compatible Macro
;Name=Row of compact cars, Type=Parking Lot, Bitmap=Carsrow.bmp, \
;FixedLength=10, FixedWidth=5, autoscale \
;Latitude, Longitude, Rotation, Scale=1, Density=0, \
;Visibility=0, Range=8, Elevation=0, Shadow=1, 
;
;Copyright 1997 by Rafael Sanchez-All Rights Reserved
;
Area( 5 %1 %2 %7 )
IfVarRange(  :end  0346  %5  4  )
PerspectiveCall( :PC01 )
Jump( :end )
:PC01
Perspective
mif( %8  )
RefPoint(  2  :P3  [%4 * 0.05]  %1 %2 E= %8 v1= %6  V2= 200 )
melse
RefPoint(  7  :P3  [%4 * 0.05]  %1 %2 v1= %6 V2= 200 )
mifend
RotatedCall(  :B  0 0 %3  )
Return
:B
mif( %9 )
ShadowCall( :B2 )
:B2
mifend
VectorJump( :West  32767 0     0  0 )
VectorJump( :SouthEast  0    0   32767  0 )
:NorthEast
TransformCall( :Module01 -90 0 0 0 0 0 0 180 0 )   ; Car 1
TransformCall( :Module02 -30 0 0 0 0 0 0 180 0 )   ; Car 2
TransformCall( :Module03 30 0 0 0 0 0 0 0 0 )   ; Car 3
TransformCall( :Module04 90 0 0 0 0 0 0 0 0 )   ; Car 4
Return
:SouthEast
TransformCall( :Module01 -60 0 0 0 0 0 0 180 0 )   ; Car 1
TransformCall( :Module02 -20 0 0 0 0 0 0 180 0 )   ; Car 2
TransformCall( :Module03 20 0 0 0 0 0 0 0 0 )   ; Car 3
TransformCall( :Module04 60 0 0 0 0 0 0 0 0 )   ; Car 4
Return
:West
VectorJump( :SouthWest 0   0    32767  0 )
:NorthWest
TransformCall( :Module04 60 0 0 0 0 0 0 0 0 )   ; Car 4
TransformCall( :Module03 20 0 0 0 0 0 0 0 0 )   ; Car 3
TransformCall( :Module02 -20 0 0 0 0 0 0 180 0 )   ; Car 2
TransformCall( :Module01 -60 0 0 0 0 0 0 180 0 )   ; Car 1
Return
:SouthWest
TransformCall( :Module04 60 0 0 0 0 0 0 0 0 )   ; Car 4
TransformCall( :Module03 20 0 0 0 0 0 0 0 0 )   ; Car 3
TransformCall( :Module02 -20 0 0 0 0 0 0 180 0 )   ; Car 2
TransformCall( :Module01 -60 0 0 0 0 0 0 180 0 )   ; Car 1
Return

; Module description: Car 1
;
:Module01
Points( 0
-15 0 -44     ; 0
15 0 -44      ; 1
15 0 44       ; 2
-15 0 44      ; 3
-15 20  -44   ; 4
15 20  -44    ; 5
15  19 44     ; 6
-15 19  44    ; 7
-15 6  -38    ; 8
15 6  -38    ; 9
-16 7  -44    ; 10
16 7  -44    ; 11
-16 12 -44    ; 12
16 12 -44    ; 13
-16 12 -42    ; 14
16 12 -42    ; 15
-16 20  -42   ; 16
16 20  -42   ; 17
-17 20  -30   ; 18
17 20  -30   ; 19

-12 28   44   ;20
-12 28  -44   ;21
12 28  -44   ;22
12 28   44   ;23

-22  28  -13   ; 24
22  28  -13   ; 25

15   5 38    ; 26
15  10 44    ; 27
-15  10 44    ; 28
-15   5 38    ; 29
15  14 44    ; 30
-15  14 44    ; 31
15  15 42    ; 32
-15  15 42    ; 33
16  16 40    ; 34
-16  16 40    ; 35
17  18 34    ; 36
-17  18 34    ; 37
17  19  16   ; 38
-18  19  16   ; 39
20  28   2    ; 40
-24  28   2    ; 41

-12 27  3    ; 42
-12 27  -16  ; 43
12 27  -16  ; 44
12 27  3    ; 45

)
Bitmap( Abcar.r8 0 0 0 0 )
ConcavePoly
BitmapMode( 1 )
Inst_7D
TexPoly( ai ; External cube walls - Left low inside
3 74 48
7 74 19
4 215 17
0 215 48
)
Inst_7D
TexPoly( ai ; External cube walls - Right - low inside
1 74 99
5 74 68
6 215 70
2 215 99
)
Inst_7D
TexPoly( a  ; External cube walls - Back
8 2 112
10 2 100
11 67 100
9 67 112
)
Inst_7D
TexPoly( a  ; External cube walls - Back
10 2 100
12 2  91
13 67  91
11 67 100
)
Inst_7D
TexPoly( a  ; External cube walls - Back
12 2  91
14 2  89
15 67  89
13 67  91
)
Inst_7D
TexPoly( a  ; External cube walls - Back
14 2  89
16 2  78
17 67  78
15 67  89
)
Inst_7D
TexPoly( a  ; External cube walls - Back
16 2  78
18 2  73
19 67  73
17 67  78
)

Inst_7D
TexPoly( a  ; External cube walls - Back
18 2  73
24 2  56
25 67  56
19 67  73
)
Inst_7D
TexPoly( a  ; External cube walls - Front
26 3 48
27 3 41
28 68 41
29 68 48
)
Inst_7D
TexPoly( a  ; External cube walls - Front - bumper
27 3 41
30 3 30
31 68 30
28 68 41
)

Inst_7D
TexPoly( a  ; External cube walls - Front - bumper
30 3 30
32 3 26
33 68 26
31 68 30
)

Inst_7D
TexPoly( a  ; External cube walls - Front
32 3 26
34 3 24
35 68 24
33 68 26
)

Inst_7D
TexPoly( a  ; External cube walls - Front
34 3 24
36 3 20
37 68 20
35 68 24
)

Inst_7D
TexPoly( a  ; External cube walls - Front
36 3 20
38 3 16
39 68 16
37 68 20
)

Inst_7D
TexPoly( a  ; External cube walls - Front
38 5 16
40 5  1
41 68 1
39 68 16
)

Inst_7D
TexPoly( a  ; External cube walls - Left low
3 74 48
7 74 19
4 215 17
0 215 48
)
Inst_7D
TexPoly( a  ; External cube walls - Left top
7 74 19
20 74  3
21 215  3
4 215 17
)
Inst_7D
TexPoly( a  ; External cube walls - Right - low
1 74 99
5 74 68
6 215 70
2 215 99
)
Inst_7D
TexPoly( a  ; External cube walls - Right - top
5 74 68
22 74 54
23 215 54
6 215 70
)
Inst_7D
TexPoly( au  ; External cube walls - Top
42 21 26
43 21 18
44 52 18
45 52 26
)
BitmapMode( 0 )
Return
;
; Module description: Car 2
;
:Module02
Points( 0
-15 0 -46                          ; 0
15 0 -46                           ; 1
15 0 46                            ; 2
-15 0 46                           ; 3
-13 28  -46                        ; 4
13 28  -46                         ; 5
13 28  46                          ; 6
-13 28  46                         ; 7
-16  6  -42  ; 8
-16  9  -46   ; 9
16  9  -46   ; 10
16  6  -42   ; 11
-15  12 -46   ; 12
15  12 -46   ; 13
-16  12 -43   ; 14
16  12 -43   ; 15
-15  18  46   ; 16
-15  18 -46   ; 17
15  18 -46   ; 18
15  18  46   ; 19
-16  18 -43   ; 20
16  18 -43   ; 21
-16  18 -30   ; 22
16  18 -30   ; 23
-16  28 -24   ; 24
16  28 -24   ; 25

17  6   44   ; 26
16  10  46   ; 27
-16  10  46   ; 28
-17  5   44   ; 29
15  10  45   ; 30
-15  10  45   ; 31
15  16  43   ; 32
-15  16  43   ; 33
15  17  42   ; 34
-15  17  42   ; 35
17  18   19  ; 36
-17  18   19  ; 37
17  27   6   ; 38
-17  27   6   ; 39
13  27   6   ; 40
-13  27   6   ; 41
13  27 -24   ; 42
-13  27 -24   ; 43
)
Bitmap( Abcar.r8 0 0 0 0 )
ConcavePoly
BitmapMode( 1 )
Inst_7D
TexPoly( ai ; External cube walls - Left - low-inside
3 2 227
16 2 194
17 160 194
0 160 227
)
Inst_7D
TexPoly( ai ; External cube walls - Right - low - inside
1 2 169
18 2 136
19 160 136
2 160 169
)
TexPoly( a  ; External cube walls - Back
8 165 250
9 165 241
10 254 241
11 254 250
)
Inst_7D
TexPoly( a  ; External cube walls - Back
9 165 241
12 165 235
13 254 235
10 254 241
)
Inst_7D
TexPoly( a  ; External cube walls - Back
12 165 235
14 165 234
15 254 234
13 254 235
)
Inst_7D
TexPoly( a  ; External cube walls - Back
14 165 234
20 170 214
21 250 214
15 254 234
)
Inst_7D
TexPoly( a  ; External cube walls - Back
20 190 140
22 190 136
23 225 136
21 225 140
)
Inst_7D
TexPoly( a  ; External cube walls - Back
22 172 211
24 178 191
25 240 191
23 246 211
)
Inst_7D
TexPoly( a  ; External cube walls - Front
26 164 176
27 164 160
28 255 160
29 255 176
)
Inst_7D
TexPoly( a  ; External cube walls - Front
27 164 160
30 164 159
31 254 159
28 254 160
)
Inst_7D
TexPoly( a  ; External cube walls - Front
30 164 159
32 168 146
33 250 146
31 254 159
)
Inst_7D
TexPoly( a  ; External cube walls - Front
32 168 146
34 168 142
35 250 142
33 250 146
)
Inst_7D
TexPoly( a  ; External cube walls - Front
34 168 142
36 172 131
37 246 131
35 250 142
)
Inst_7D
TexPoly( a  ; External cube walls - Front
36 172 131
38 180 111
39 238 111
37 246 131
)

Inst_7D
TexPoly( a  ; External cube walls - Left - low
3 2 227
16 2 194
17 160 194
0 160 227
)
Inst_7D
TexPoly( a  ; External cube walls - Left-top
16 2 194
7 2 178
4 160 178
17 160 194
)
Inst_7D
TexPoly( a  ; External cube walls - Right - low
1 2 169
18 2 136
19 160 136
2 160 169
)
Inst_7D
TexPoly( a  ; External cube walls - Right top
18 2 136
5 2 119
6 160 119
19 160 136
)
Inst_7D
TexPoly( au ; External cube walls - Top
40 193 140
42 193 136
43 225 136
41 225 140
)
BitmapMode( 0 )

Return
;
; Module description: Car 3
;
:Module03
Points( 0
-14 0 -38                          ; 0
14 0 -38                           ; 1
14 0 38                            ; 2
-14 0 38                           ; 3
-12 26  -38                        ; 4
12 26  -38                         ; 5
12 26  38                          ; 6
-12 26  38                         ; 7
-14  16  38   ; 8
-14  16 -38   ; 9
14  16 -38   ; 10
14  16  38   ; 11
-14  5 -34   ; 12
14  5 -34   ; 13
-14  7 -38   ; 14
14  7 -38   ; 15
-14 10 -38   ; 16
14 10 -38   ; 17
-14 10 -37   ; 18
14 10 -37   ; 19
-14 13 -35   ; 20
14 13 -35   ; 21
-14 15 -28   ; 22
14 15 -28   ; 23
-14 16 -14   ; 24
14 16 -14   ;25
-14 26  -5   ; 26
14 26  -5   ; 27


14   7 36   ; 28
14   9 38   ; 29
-14   9 38   ; 30
-14   7 36   ; 31
14  11 38   ; 32
-14  11  38  ; 33
14  12  37  ; 34
-14  12  37  ; 35
14  17  36  ; 36
-14  17  36  ; 37
16  17  22  ; 38
-16  17  22  ; 39
18  26  14  ; 40
-18  26  14  ; 41

-12  26  -5  ; 42
-12  26   14 ; 43
12  26   14 ; 44
12  26  -5  ; 45
)
Bitmap( Abcar2.r8 0 0 0 0 )
ConcavePoly
BitmapMode( 1 )
Inst_7D
TexPoly( ai ; External cube walls - Right low-inside
1 87 87
10 87 58
11 220 58
2 220 87
)
Texpoly( ai  ; Left-low - inside
3  87  43
8  87  15
9 220  15
0 220  43
)

Inst_7D
TexPoly( a  ; External cube walls - back
28 2 50
29 2 45
30 71 45
31 71 50
)
Inst_7D
TexPoly( a  ; External cube walls - back
29 2 45
32 2 39
33 71 39
30 71 45
)
Inst_7D
TexPoly( a  ; External cube walls - back
32 2 39
34 2 37
35 71 37
33 71 39
)
Inst_7D
TexPoly( a  ; External cube walls - back
34 2 37
36 2 28
37 71 28
35 71 37
)
Inst_7D
TexPoly( a  ; External cube walls - back
36 2 28
38 2 19
39 71 19
37 71 28
)
Inst_7D
TexPoly( a  ; External cube walls - back
38 2 19
40 2  4
41 71  4
39 71 19
)
Inst_7D
TexPoly( a   ; front
12  4 110
14  4 105
15 78 105
13 78 110
)
TexPoly( a   ; front
14  4 105
16  4  95
17 78  95
15 78 105
)
TexPoly( a   ; front
16  4  95
18  4  94
19 78  94
17 78  95
)
TexPoly( a   ; front
18  4  94
20  4  86
21 78  86
19 78  94
)
TexPoly( a   ; front
20  4  86
22  4  78
23 78  78
21 78  86
)
TexPoly( a   ; front
22  4  78
24  4  72
25 78  72
23 78  78
)
TexPoly( a   ; front
24 12  72
26 12  54
27 70  54
25 70  72
)
Inst_7D
Texpoly( a   ; Left-low
3  87  43
8  87  15
9 220  15
0 220  43
)
Inst_7D
Texpoly( a   ; Left-top
8  87  15
7  87   3
4 220   3
9 220  15
)
Inst_7D
TexPoly( a  ; External cube walls - Right low
1 87 87
10 87 58
11 220 58
2 220 87
)
Inst_7D
TexPoly( a  ; External cube walls - Right top
10 87 58
5 87 46
6 220 46
11 220 58
)
Inst_7D
TexPoly( au ; External cube walls - Top
42 11 85
43 11 74
44 67 74
45 67 85
)
BitmapMode( 0 )

Return
;
; Module description: Car 4
;
:Module04
Points( 0
-15 0 -45                          ; 0
15 0 -45                           ; 1
15 0 45                            ; 2
-15 0 45                           ; 3
-13 26  -45                        ; 4
13 26  -45                         ; 5
13 26  45                          ; 6
-13 26  45                         ; 7
-15  4 -43                          ; 8
-15  7 -44                        ; 9
15   7 -44                         ; 10
15  4 -43                           ; 11
-16  11  -45    ;12
16  11  -45    ; 13
-16  13  -43    ; 14
16  13  -43    ; 15
-16  15  -36    ; 16
16  15  -36    ; 17
-19  18  -17   ; 18
19  18  -17   ; 19
-21   25 -5    ; 20
22   25 -5    ; 21
-13  25  -5    ; 22
13  25  -5    ; 23
-13  26    0   ; 24
13  26    0   ; 25

15  8 45      ; 26
15 11 45      ; 27
-15 11 45     ; 28
-15  8 45     ; 29
15 12 43     ; 30
-15 12 43     ; 31
15 19 43     ;32
-15 19 43     ; 33
16 20  32     ; 34
-16 20  32     ; 35
18 22  27    ; 36
-18 22  27    ; 37
19 26   18   ; 38
-19 26   18   ; 39
13 26   18   ; 40
-13 26   18   ; 41
)
Bitmap( Abcar3.r8 0 0 0 0 )
ConcavePoly
BitmapMode( 1 )
Inst_7D
TexPoly( ai ; External cube walls - Left
0 4 199
4 4 139
7 208 139
3 208 195
)
Inst_7D
TexPoly( ai ; External cube walls - Right
1 4 199
5 4 139
6 208 139
2 208 195
)
Inst_7D
TexPoly( a  ; External cube walls - Front
8 145 71
9 145 64
10 253 64
11 253 71
)
Inst_7D
TexPoly( a  ; External cube walls - Front
9 145 64
12 145 45
13 253 45
10 253 64
)
Inst_7D
TexPoly( a  ; External cube walls - Front
12 145 45
14 145 38
15 253 38
13 253 45
)
Inst_7D
TexPoly( a  ; External cube walls - Front
14 145 38
16 145 34
17 253 34
15 253 38
)
Inst_7D
TexPoly( a  ; External cube walls - Front
16 145 34
18 150 25
19 248 25
17 253 34
)
Inst_7D
TexPoly( a  ; External cube walls - Front
18 145 25
20 162  4
21 236  4
19 253 25
)
Inst_7D
TexPoly( a  ; External cube walls - Back
26 3 127
27 3 114
28 88 114
29 88 127
)
Inst_7D
TexPoly( a  ; External cube walls - Back
27 3 114
30 3 108
31 88 108
28 88 114
)
Inst_7D
TexPoly( a  ; External cube walls - Back
30 3 108
32 3  97
33 88  97
31 88 108
)
Inst_7D
TexPoly( a  ; External cube walls - Back
32 3  97
34 6  92
35 85  92
33 88  97
)
Inst_7D
TexPoly( a  ; External cube walls - Back
34 3  92
36 8  85
37 83  85
35 88  92
)
Inst_7D
TexPoly( a  ; External cube walls - Back
36 3  85
38 10 71
39 81  71
37 88  85
)
Inst_7D
TexPoly( a  ; External cube walls - Left
0 4 199
4 4 139
7 208 139
3 208 195
)
Inst_7D
TexPoly( a  ; External cube walls - Right
1 4 199
5 4 139
6 208 139
2 208 195
)
Inst_7D
TexPoly( au ; External cube walls - Top
22 172 39
23 172 36
25 226 36
24 226 39
)
Inst_7D
TexPoly( au ; External cube walls - Top
24 172 39
41 172 35
40 226 35
25 226 39
)
BitmapMode( 0 )
Return
:P3
Return
:end
EndA